# enforcedPlatform

abstract fun enforcedPlatform(notation: Any): Dependency

Declares a dependency on an enforced platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library. An enforced platform is a platform for which the direct dependencies are forced, meaning that they would override any other version found in the graph.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

abstract fun enforcedPlatform(notation: Any, configureAction: Action<in Dependency>): Dependency

Declares a dependency on an enforced platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library. An enforced platform is a platform for which the direct dependencies are forced, meaning that they would override any other version found in the graph.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

configureAction

the dependency configuration block

abstract fun enforcedPlatform(dependencyProvider: Provider<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the enforced-platform variant of the target component

#### Return

a new dependency provider targeting the enforced-platform variant of the component

#### Since

7.3

#### Parameters

dependencyProvider

the dependency provider

open fun enforcedPlatform(dependencyProviderConvertible: ProviderConvertible<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the enforced-platform variant of the target component

#### Return

a new dependency provider targeting the enforced-platform variant of the component

#### Since

7.3

#### Parameters

dependencyProviderConvertible

the dependency provider convertible that returns the dependency provider